﻿@page
@using Management.Entities;
@using Management.BusinessLogic;
@model Management.Pages.product.DeleteModel
@{
    /* Constants */
    ViewData["Title"] = "Delete Product";

    /* Default value */
    string sInfo = string.Empty;
    bool bFlag = false;
    Product product = new Product() {};

    /* Get product id */
    string sProductID = Request.Query["id"];

    /* Read product detail */
    Product? isProduct = BUS_Product.ReadInfo(sProductID);

    if (null == isProduct)
    {
        sInfo = "This product is not exists";
        bFlag = true;
    }
    else
    {
        /* Get product */
        product = isProduct.Value;

        if (Request.Method == "POST")
        {
            /* Set a flag to indicate the user posted the form */
            bFlag = true;

            /* Get new product attributes */
            string sID = Request.Form["id"];
            string sName = Request.Form["name"];
            string sCategory = Request.Form["category"];
            string sBrand = Request.Form["brand"];
            string sPrice = Request.Form["price"];

            /* Returns an empty string in case the new product is successfully added */
            sInfo = BUS_Product.Delete(sID, sName, sCategory, sBrand, sPrice);
            if (string.IsNullOrEmpty(sInfo))
            {
                Response.Redirect("/product/index");
            }
        }
    }
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/product" class="link-primary text-decoration-none">Product</a>
        >
        <a href="/product/delete?id=@sProductID" class="link-primary text-decoration-none">Delete</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Product attributes</p>
        @if (bFlag)
        {
            if (string.IsNullOrEmpty(sInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Delete product successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@sInfo</p>
            }
        }
    </div>

    <form class="row g-3 mb-2" method="post">
        <div class="col-md-2">
            <label for="id" class="form-label">Product ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@product.ID" placeholder="Product ID" maxlength="30" readonly>
        </div>
        <div class="col-md-2">
            <label for="name" class="form-label">Product Name</label>
            <input class="form-control" type="text" id="name" name="name" value="@product.Name" placeholder="Product Name" maxlength="30" readonly>
        </div>
        <div class="col-md-2">
            <label for="category" class="form-label">Category</label>
            <input class="form-control" type="text" id="category" name="category" value="@product.Category" placeholder="Category" maxlength="30" readonly>
        </div>
        <div class="col-md-2">
            <label for="brand" class="form-label">Brand</label>
            <input class="form-control" type="text" id="brand" name="brand" value="@product.Brand" placeholder="Brand" maxlength="30" readonly>
        </div>
        <div class="col-md-2">
            <label for="price" class="form-label">Price</label>
            <input class="form-control" type="number" id="price" name="price" value="@product.Price" min="1" readonly>
        </div>
        <div class="col-md-2 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-danger text-light" type="submit" value="Delete">
        </div>
    </form>
</div>
